Submit a claim request for a wallet
curl --request POST \
--url https://app.crown-brlv.com/api/v0/wallets/{wallet-address}/claims \
--header 'Content-Type: application/json' \
--data '
{
"amount": "100.00",
"target-asset-code": "brlv"
}
'import requests
url = "https://app.crown-brlv.com/api/v0/wallets/{wallet-address}/claims"
payload = {
"amount": "100.00",
"target-asset-code": "brlv"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({amount: '100.00', 'target-asset-code': 'brlv'})
};
fetch('https://app.crown-brlv.com/api/v0/wallets/{wallet-address}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claim": {
"id": "550e8400-e29b-41d4-a716-446655440003",
"gross-amount": "100.00",
"net-amount": "85.00",
"tax-amount": "15.00",
"fees": "0.00",
"status": "created",
"updated-at": "2025-09-30T19:21:57.838913Z"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}Claims
Create Wallet Claim
Submit a claim from reward certificates held by a specific wallet address. FIFO allocation is restricted to certificates at that wallet.
POST
/
api
/
v0
/
wallets
/
{wallet-address}
/
claims
Submit a claim request for a wallet
You’re viewing v0, which is deprecated. Endpoints may change or be removed.
Switch to v1 (Latest) →Path Parameters
Body
application/json
Response
Claim submitted successfully
Details of the submitted claim request
Show child attributes
Show child attributes
⌘I